﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Data;

namespace SfDataGridSample
{
    public class VisiblePropertyCollection
    {

        private ObservableCollection<VisibleProperty> visiblecollection;
        public ObservableCollection<VisibleProperty> Visiblecollection
        {
            get
            {
                return visiblecollection;
            }
            set
            {
                this.visiblecollection = value;
            }
        }
        private ObservableCollection<CompanyItem> companies;
        public ObservableCollection<CompanyItem> Companies
        {
            get
            {
                return companies;
            }
            set
            {
                companies = value;
            }
        }
        public VisiblePropertyCollection()
        {
            companies = new ObservableCollection<CompanyItem>() {
            new CompanyItem() { Displaymember = "M", Valuemember = "Male" },
            new CompanyItem() { Displaymember = "F", Valuemember = "Female" } };
            this.visiblecollection = new ObservableCollection<VisibleProperty>();
            this.visiblecollection.Add(new VisibleProperty() { Check = true, Name = "abul", Number = 123456, Id = 1, Address = "chennai", Dob = "5-6-1992", Gender = "Male", Displaymember = "x", CompanyList = companies });
            this.visiblecollection.Add(new VisibleProperty() { Check = false, Name = "bala", Number = 234567, Id = 2, Address = "trichy", Dob = "7-9-1991", Gender = "Male", Displaymember = "M", CompanyList = companies });
            this.visiblecollection.Add(new VisibleProperty() { Check = true, Name = "cheran", Number = 345678, Id = 3, Address = "madurai", Dob = "5-3-1990", Gender = "Male", Displaymember = "M", CompanyList = companies });
            this.visiblecollection.Add(new VisibleProperty() { Check = false, Name = "dinesh", Number = 456789, Id = 4, Address = "salem", Dob = "4-1-1994", Gender = "Male", Displaymember = "M", CompanyList = companies });
            this.visiblecollection.Add(new VisibleProperty() { Check = false, Name = "elavarasan", Number = 567890, Id = 5, Address = "pudukkottai", Dob = "21-12-1995", Gender = "Female", Displaymember = "F", CompanyList = companies });
            this.visiblecollection.Add(new VisibleProperty() { Check = true, Name = "famitha", Number = 678901, Id = 6, Address = "tanjavor", Dob = "18-3-1993", Gender = "Male", Displaymember = "M", CompanyList = companies });
            this.visiblecollection.Add(new VisibleProperty() { Check = true, Name = "abul1", Number = 123456, Id = 1, Address = "chennai", Dob = "5-6-1992", Gender = "Male", Displaymember = "M", CompanyList = companies });
            this.visiblecollection.Add(new VisibleProperty() { Check = false, Name = "bala1", Number = 234567, Id = 2, Address = "trichy", Dob = "7-9-1991", Gender = "Male", Displaymember = "M", CompanyList = companies });
            this.visiblecollection.Add(new VisibleProperty() { Check = true, Name = "cheran1", Number = 345678, Id = 3, Address = "madurai", Dob = "5-3-1990", Gender = "Female", Displaymember = "F", CompanyList = companies });
            this.visiblecollection.Add(new VisibleProperty() { Check = false, Name = "dinesh1", Number = 456789, Id = 4, Address = "salem", Dob = "4-1-1994", Gender = "Female", Displaymember = "F", CompanyList = companies });
            this.visiblecollection.Add(new VisibleProperty() { Check = false, Name = "elavarasan1", Number = 567890, Id = 5, Address = "pudukkottai", Dob = "21-12-1995", Gender = "Female", Displaymember = "F", CompanyList = companies });
            this.visiblecollection.Add(new VisibleProperty() { Check = true, Name = "famitha1", Number = 678901, Id = 6, Address = "tanjavor", Dob = "18-3-1993", Gender = "Female", Displaymember = "F", CompanyList = companies });
            this.visiblecollection.Add(new VisibleProperty() { Check = true, Name = "abul2", Number = 123456, Id = 1, Address = "chennai", Dob = "5-6-1992", Gender = "Female", Displaymember = "F", CompanyList = companies });
            this.visiblecollection.Add(new VisibleProperty() { Check = false, Name = null, Number = 234567, Id = 2, Address = "trichy", Dob = "7-9-1991", Gender = "Male", Displaymember = "M", CompanyList = companies });
            this.visiblecollection.Add(new VisibleProperty() { Check = true, Name = null, Number = 345678, Id = 3, Address = "madurai", Dob = "5-3-1990", Gender = "Female", Displaymember = "F", CompanyList = companies });
            this.visiblecollection.Add(new VisibleProperty() { Check = false, Name = null, Number = 456789, Id = 4, Address = "salem", Dob = "4-1-1994", Gender = "Male", Displaymember = "M", CompanyList = companies });
            this.visiblecollection.Add(new VisibleProperty() { Check = false, Name = null, Number = 567890, Id = 5, Address = "pudukkottai", Dob = "21-12-1995", Gender = "Male", Displaymember = "M", CompanyList = companies });
            this.visiblecollection.Add(new VisibleProperty() { Check = true, Name = "famitha2", Number = 678901, Id = 6, Address = "tanjavor", Dob = "18-3-1993", Gender = "Female", Displaymember = "F", CompanyList = companies });
            this.visiblecollection.Add(new VisibleProperty() { Check = true, Name = "abul3", Number = 123456, Id = 1, Address = "chennai", Dob = "5-6-1992", Gender = "Female", Displaymember = "F", CompanyList = companies });
            this.visiblecollection.Add(new VisibleProperty() { Check = false, Name = "bala3", Number = 234567, Id = 2, Address = "trichy", Dob = "7-9-1991", Gender = "Male", Displaymember = "M", CompanyList = companies });
            this.visiblecollection.Add(new VisibleProperty() { Check = true, Name = "cheran3", Number = 345678, Id = 3, Address = "madurai", Dob = "5-3-1990", Gender = "Female", Displaymember = "F", CompanyList = companies });
            this.visiblecollection.Add(new VisibleProperty() { Check = false, Name = "dinesh3", Number = 456789, Id = 4, Address = "salem", Dob = "4-1-1994", Gender = "Male", Displaymember = "M", CompanyList = companies });
            this.visiblecollection.Add(new VisibleProperty() { Check = false, Name = "elavarasan3", Number = 567890, Id = 5, Address = "pudukkottai", Dob = "21-12-1995", Gender = "Male", Displaymember = "M", CompanyList = companies });
            this.visiblecollection.Add(new VisibleProperty() { Check = true, Name = "famitha3", Number = 678901, Id = 6, Address = "tanjavor", Dob = "18-3-1993", Gender = "Female", Displaymember = "F", CompanyList = companies });
            this.visiblecollection.Add(new VisibleProperty() { Check = true, Name = "famitha3", Number = 678901, Id = 6, Address = "tanjavor", Dob = "18-3-1993", Gender = "Female", Displaymember = "F", CompanyList = companies });
            this.visiblecollection.Add(new VisibleProperty() { Check = true, Name = "abul4", Number = 123456, Id = 1, Address = "chennai", Dob = "5-6-1992", Gender = "Male", Displaymember = "M", CompanyList = companies });
            this.visiblecollection.Add(new VisibleProperty() { Check = false, Name = "bala4", Number = 234567, Id = 2, Address = "trichy", Dob = "7-9-1991", Gender = "Female", Displaymember = "F", CompanyList = companies });
            this.visiblecollection.Add(new VisibleProperty() { Check = true, Name = "cheran4", Number = 345678, Id = 3, Address = "madurai", Dob = "5-3-1990", Gender = "Female", Displaymember = "F", CompanyList = companies });
            this.visiblecollection.Add(new VisibleProperty() { Check = false, Name = "dinesh4", Number = 456789, Id = 4, Address = "salem", Dob = "4-1-1994", Gender = "Female", Displaymember = "F", CompanyList = companies });
            this.visiblecollection.Add(new VisibleProperty() { Check = false, Name = "elavarasan4", Number = 567890, Id = 5, Address = "pudukkottai", Dob = "21-12-1995", Gender = "Female", Displaymember = "F", CompanyList = companies });
            this.visiblecollection.Add(new VisibleProperty() { Check = true, Name = "famitha4", Number = 678901, Id = 6, Address = "tanjavor", Dob = "18-3-1993", Gender = "Male", Displaymember = "M", CompanyList = companies });
            this.visiblecollection.Add(new VisibleProperty() { Check = true, Name = "abul", Number = 123456, Id = 1, Address = "chennai", Dob = "5-6-1992", Gender = "Female", Displaymember = "F", CompanyList = companies });
            this.visiblecollection.Add(new VisibleProperty() { Check = false, Name = "bala", Number = 234567, Id = 2, Address = "trichymaduarkovaichennai salem", Dob = "7-9-1991", Gender = "Male", Displaymember = "M", CompanyList = companies });
            this.visiblecollection.Add(new VisibleProperty() { Check = true, Name = "cheran", Number = 345678, Id = 3, Address = "madurai", Dob = "5-3-1990", Gender = "Female", Displaymember = "F", CompanyList = companies });
            this.visiblecollection.Add(new VisibleProperty() { Check = true, Name = "famitha", Number = 678901, Id = 6, Address = "tanjavor", Dob = "18-3-1993", Gender = "Female", Displaymember = "F", CompanyList = companies });
            this.visiblecollection.Add(new VisibleProperty() { Check = false, Name = "dinesh", Number = 456789, Id = 4, Address = "salem", Dob = "4-1-1994", Gender = "Female", Displaymember = "F", CompanyList = companies });
            this.visiblecollection.Add(new VisibleProperty() { Check = false, Name = "elavarasan", Number = 567890, Id = 5, Address = "pudukkottai", Dob = "21-12-1995", Gender = "Male", Displaymember = "M", CompanyList = companies });
            this.visiblecollection.Add(new VisibleProperty() { Check = true, Name = "famitha", Number = 678901, Id = 6, Address = "tanjavor", Dob = "18-3-1993", Gender = "Female", Displaymember = "F", CompanyList = companies });
            this.visiblecollection.Add(new VisibleProperty() { Check = true, Name = "famitha", Number = 678901, Id = 6, Address = "tanjavor", Dob = "18-3-1993", Gender = "Female", Displaymember = "F", CompanyList = companies });
            this.visiblecollection.Add(new VisibleProperty() { Check = true, Name = "abul", Number = 123456, Id = 1, Address = "chennai", Dob = "5-6-1992", Gender = "Male", Displaymember = "M", CompanyList = companies });
            this.visiblecollection.Add(new VisibleProperty() { Check = false, Name = "bala", Number = 234567, Id = 2, Address = "trichy", Dob = "7-9-1991", Gender = "Female", Displaymember = "F", CompanyList = companies });
            this.visiblecollection.Add(new VisibleProperty() { Check = true, Name = "cheran", Number = 345678, Id = 3, Address = "madurai", Dob = "5-3-1990", Gender = "Male", Displaymember = "M", CompanyList = companies });
        }
    }

    public class GroupcaptionConverter : IValueConverter
    {

        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            var record = value as VisibleProperty;
            string result = null;
            if (record.Gender == "Male")
                result = record.CompanyList[0].Displaymember;
            else
                result = record.CompanyList[1].Displaymember;
            return result;
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
