﻿using System.Collections.ObjectModel;
using System.Globalization;
using Syncfusion.UI.Xaml.Grid;
using System;
using System.Windows.Data;

namespace GroupCaptionTextSample
{
    public class GroupcaptionConverterMultiColumnDropDownList : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            if (!(parameter is GridMultiColumnDropDownList))
                return value;
            var column = parameter as GridMultiColumnDropDownList;
            var record = value as EmployeeInfo;
            var itemsSource = column.ItemsSource as ObservableCollection<CompanyItem>;
            foreach (var item in itemsSource)
            {
                if (record.CountryCode == (item as CompanyItem).CountryCode)
                    return (item as CompanyItem).CountryName;
            }
            return null;
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
